1. Cards
Sipay API Documentation
  • Overview
    • Getting Started
    • Status Codes
    • PreAuthorization / Authorization
    • Webhook
  • Authentication
    • Generating Token
      POST
  • Installments
    • Getting Installment Information
      POST
    • Installments
      POST
  • Commissions
    • Commission
      POST
  • Non Secure Payment
    • Non-Secure Payment Flow
    • Non-Secure Credit Card Payment
      POST
    • Non-Secure Recurring Payment
      POST
    • Non-Secure Insurance Payment
      POST
    • Non-Secure PreAuthorization Payment
      POST
  • 3D Secure Payment
    • 3D Secure Payment Flow
    • 3D Secure Credit Card Payment
      POST
    • 3D Secure Recurring Payment
      POST
    • 3D Secure PreAuthorization Payment
      POST
    • 3D Secure PreAuthorization Payment APP
      POST
    • 3D Secure Agriculture Payment
      POST
  • Payment
    • CheckStatus
    • ConfirmPayment
    • CompletePayment
    • Non-Secure and 3D Payment with Sipay
    • Refund
  • Cards
    • Card Registration
      POST
    • Pay by Card Token
      POST
    • Retrieving Saved Card
      GET
    • Edit Saved Card
      POST
    • Delete Saved Card
      POST
    • NonSecure Payment with Hidden Card
      POST
  • HASH
    • Hash Information
  • Recurring
    • Recurring Query Search
    • Recurring Plan Process
    • Recurring Plan Update
  • Cashout
    • Cashout to bank
  • Report
    • Settlement API
  1. Cards

NonSecure Payment with Hidden Card

Testing
Testing Env
https://provisioning.sipay.com.tr
Testing Env
https://provisioning.sipay.com.tr
POST
/ccpayment/api/payByCardTokenNonSecure
The payByCardToken (non-secure) API is used to send orders to the Sipay payment integration system. Merchant websites should receive the payment status immediately before loading the payment page. The cart and order status should be adjusted accordingly based on the API success rate. This payment API does not require a getpos API call, unlike other payment API calls.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Body

🔵36Failed
⚪68Failed
⚪13Failed
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://provisioning.sipay.com.tr/ccpayment/api/payByCardTokenNonSecure' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
  "card_token": "string",
  "customer_number": 0,
  "customer_email": "string",
  "customer_phone": "string",
  "customer_name": "string",
  "currency_code": "string",
  "installments_number": 1,
  "invoice_id": "string",
  "invoice_description": "string",
  "total": 25.48,
  "merchant_key": "$2y$10$HmRgYosneqcwHj.UH7upGuyCZqpQ1ITgSMj9Vvxn.t6f.Vdf2SQFO",
  "items": "string",
  "cancel_url": "string",
  "return_url": "string",
  "hash_key": "string",
  "bill_address1": "string",
  "bill_address2": "string",
  "bill_city": "string",
  "bill_postcode": "string",
  "bill_state": "string",
  "bill_country": "string",
  "bill_email": "string",
  "bill_phone": "string",
  "card_program": "string",
  "ip": "string",
  "transaction_type": "string",
  "sale_web_hook_key": "string",
  "order_type": 0,
  "recurring_payment_number": 0,
  "recurring_payment_cycle": "string",
  "recurring_payment_interval": "string",
  "recurring_web_hook_key": "string",
  "app_lang": "en"
}'
Response Response Example
200 - Success
{
    "status_code": 100,
    "status_description": "Payment process successful",
    "data": {
        "sipay_status": 1,
        "order_no": "VP17697618245351216",
        "order_id": "VP17697618245351216",
        "invoice_id": "565655656556465456465465444",
        "sipay_payment_method": 1,
        "credit_card_no": "450803****4509",
        "transaction_type": "Auth",
        "payment_status": 1,
        "payment_method": 1,
        "error_code": 100,
        "error": "",
        "auth_code": "P48905",
        "merchant_commission": 0.1,
        "user_commission": 0,
        "merchant_commission_percentage": 2,
        "merchant_commission_fixed": 0,
        "installment": 1,
        "amount": 5,
        "payment_reason_code": "",
        "payment_reason_code_detail": "",
        "hash_key": "a006758962dc3aae:e360:C91EOLvl__WRy__kccvBNIWhbeVT26WViFh4839NdkfgoyO1uXnV3o2+g+Mf__jU72JGCmu3cHIUkms8Q2OU611gQ==",
        "original_bank_error_code": "",
        "original_bank_error_description": "",
        "host_reference_id": "603000435621"
    }
}
Modified at 2026-01-22 17:23:14
Previous
Delete Saved Card
Next
Hash Information
Built with